Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453252 - Dependency problem installing Wireshark
Summary: Dependency problem installing Wireshark
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 10
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 11:24 UTC by Robert Petranović
Modified: 2014-01-21 23:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-19 12:57:32 UTC


Attachments (Terms of Use)

Description Robert Petranović 2008-06-28 11:24:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9) Gecko/2008061721 Fedora/3.0-1.fc10 Firefox/3.0

Description of problem:
There is yum dependency problem when installing Wireshark.

Yum output:
Resolving Dependencies
--> Running transaction check
---> Package wireshark.x86_64 0:1.0.0-2.fc9 set to be updated
--> Processing Dependency: libgnutls.so.13(GNUTLS_1_3)(64bit) for package: wireshark
--> Processing Dependency: libgnutls.so.13()(64bit) for package: wireshark
--> Finished Dependency Resolution
wireshark-1.0.0-2.fc9.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libgnutls.so.13(GNUTLS_1_3)(64bit) is needed by package wireshark-1.0.0-2.fc9.x86_64 (fedora)
wireshark-1.0.0-2.fc9.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libgnutls.so.13()(64bit) is needed by package wireshark-1.0.0-2.fc9.x86_64 (fedora)
Error: Missing Dependency: libgnutls.so.13(GNUTLS_1_3)(64bit) is needed by package wireshark-1.0.0-2.fc9.x86_64 (fedora)
Error: Missing Dependency: libgnutls.so.13()(64bit) is needed by package wireshark-1.0.0-2.fc9.x86_64 (fedora)

My enabled repos: 
repo id              repo name                                 status
adobe-linux-i386     Adobe Systems Incorporated                enabled
fedora               Fedora 9 - x86_64                         enabled
livna                Livna for Fedora Core 9 - x86_64 - Base   enabled
livna-development    Livna for Fedora Core 9 - x86_64 - Devel  enabled
livna-testing        Livna for Fedora Core 9 - x86_64 - Testi  enabled
rawhide              Fedora - Rawhide                          enabled
updates              Fedora 9 - x86_64 - Updates               enabled
updates-testing      Fedora 9 - x86_64 - Test Updates          enabled

My enabled yum plugins:
allowdowngrade, refresh-packagekit


Version-Release number of selected component (if applicable):
yum-3.2.16-4

How reproducible:
Always


Steps to Reproduce:
1.yum install wireshark
2.
3.

Actual Results:
Failed dependency resolution

Expected Results:
Sucess install

Additional info:

Comment 1 John Poelstra 2008-06-28 15:07:35 UTC
this is most likely a problem with the yum repo you are pointing at.  

What happens if you do 'yum clean all' and try it again? 

Comment 2 John Poelstra 2008-06-28 15:10:52 UTC
Also just realized you are accessing a lot of different repos at the same time
which could also be the source of the problem.

Which release are you currently running?

Comment 3 Robert Petranović 2008-06-28 15:24:04 UTC
I already tried yum clean all, but not working...

Release: Fedora release 9.90.1 (Rawhide)

Comment 4 Quentin Armitage 2008-06-29 17:54:10 UTC
I have all latest Rawhide releases install and when I run "yum install
wireshark", get exactly the same errors (but for i386 packages). The only repo I
have enabled is rawhide. It appears that wireshark needs to be rebuilt to use
gnutls-2.4.0-1.fc10.

Comment 5 John Poelstra 2008-06-29 23:32:45 UTC
Okay.  Your output above showed several other repos enabled :)

Comment 6 Bug Zapper 2008-11-26 02:28:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.